Updates the project status with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
project_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the project status |
string |
Required Max length: 50 |
| is_default |
Is default (auto selected when creating new project) |
boolean | |
| is_closed |
Inform if this status means that the project/installation is archived |
boolean |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating project_status |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating project_status |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "ae4918e5-fb50-4308-8a61-7495a695c13e",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "1a412de3-6a48-4f19-9c60-0ed0c4a75cd5",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "6ae152c5-b1b6-4aa8-825a-07817d23d64f",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "43436719-e09d-42ed-aded-cd952d3daaa8",
"db_currency_id": "4b44c212-d105-4b7c-9b1f-06794ca6594d",
"db_language_id": "ea67e838-2321-4836-b71a-f4c3d093cf03",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-03-12T23:17:42.9720408+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-03-12T23:17:42.9720408+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.